<div class="order">
    <mat-vertical-stepper linear #stepper (selectionChange)="selectionChange($event)">
        <mat-step label="Đơn hàng của bạn" state="cart" [completed]="CONST.getCart.length > 0">
            <div class="row yourorder">
                <ng-container *ngIf="CONST.getCart.length; else emptyI">
                    <div class="col-12 col-sm-6 col-md-4 col-lg-3 out-card" *ngFor="let product of CONST.getCart">
                        <div class="cart">
                            <button mat-button id="closebtn" (click)="CONST.removeProductFromCart(product.id)">
                                <mat-icon svgIcon="close"></mat-icon>
                            </button>
                            <div class="img-area">
                                <img [src]="product.imgsToList[0]" />
                            </div>
                            <p>{{product.productName}}</p>
                        </div>
                    </div>
                </ng-container>
                <ng-template #emptyI>
                    <p>Giỏ hàng trống</p>
                </ng-template>
            </div>
        </mat-step>
        <mat-step [stepControl]="customerForm" label="Đặt hàng" state="info">
            <form [formGroup]="customerForm" class="row">
                <mat-form-field class="col-12">
                    <input matInput placeholder="Họ tên" id="name" formControlName="customerName" required maxlength="30" minlength="2">
                </mat-form-field>
                <mat-form-field class="col-12">
                    <input matInput placeholder="Email" formControlName="email" id="email">
                </mat-form-field>
                <mat-form-field class="col-12">
                    <span matPrefix>+84 &nbsp;</span>
                    <input matInput placeholder="Số điện thoại" id="phoneNumber"  type="tel" formControlName="phoneNumber" onKeyPress="if(this.value.length>9) return false;" required>
                </mat-form-field>
                <mat-form-field class="col-12">
                    <textarea matInput placeholder="Địa chỉ" id="address" formControlName="address" required minlength="2"></textarea>
                </mat-form-field>
                <div class="col-12">
                    <button color="primary" mat-button matStepperNext type="button" [disabled]="customerForm.invalid">Đặt Hàng</button>
                </div>
            </form>
        </mat-step>
        <mat-step label="Hoàn thành" state="finish">
            Cảm ơn quý khách đã đặt hàng.
            Chúng tôi sẽ liên lạc lại với bạn sớm nhất có thể để xác nhận đơn hàng
            <div class="button">
                <button id="close" mat-button (click)="onClose()">Close</button>
            </div>
        </mat-step>
        <ng-template matStepperIcon="cart">
            <mat-icon svgIcon="cart"></mat-icon>
        </ng-template>
        <ng-template matStepperIcon="info">
            <mat-icon svgIcon="account"></mat-icon>
        </ng-template>
        <ng-template matStepperIcon="finish">
            <mat-icon svgIcon="check"></mat-icon>
        </ng-template>
    </mat-vertical-stepper>
</div>